org.scalatest.fixture.FixtureSpec

# ItWord

#### class ItWord extends AnyRef

Class that, via an instance referenced from the `it` field, supports test (and shared test) registration in `FixtureSpec`s.

This class supports syntax such as the following:

    it("should be empty")
    ^

    it should behave like nonFullStack(stackWithOneItem)
    ^

For more information and examples, see the main documentation for `Spec`.

Attributes
  protected final

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Hide All
2. Show all

1. ItWord
2. AnyRef
3. Any

Visibility

1. Public
2. All

### Instance Constructors

1. #### new ItWord ()

### Value Members

1. #### def != (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

2. #### def != (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

3. #### def ## (): Int

   Attributes
     final
   Definition Classes
     AnyRef → Any

4. #### def == (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

5. #### def == (arg0: Any): Boolean

   Attributes
     final
   Definition Classes
     Any

6. #### def apply (specText: String, testTags: Tag*)(testFun: (FixtureParam) ⇒ Any): Unit

   Register a test with the given spec text, optional tags, and test function value that takes no arguments.

   Register a test with the given spec text, optional tags, and test function value that takes no arguments. An invocation of this method is called an “example.”

   This method will register the test for later execution via an invocation of one of the `execute` methods. The name of the test will be a concatenation of the text of all surrounding describers, from outside in, and the passed spec text, with one space placed between each item. (See the documenation for `testNames` for an example.) The resulting test name must not have been registered previously on this `Spec` instance.

   specText

     the specification text, which will be combined with the descText of any surrounding describers to form the test name

   testTags

     the optional list of tags for this test

   testFun

     the test function

7. #### def asInstanceOf [T0] : T0

   Attributes
     final
   Definition Classes
     Any

8. #### def clone (): AnyRef

   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws()

9. #### def eq (arg0: AnyRef): Boolean

   Attributes
     final
   Definition Classes
     AnyRef

10. #### def equals (arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize (): Unit

    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws()

12. #### def getClass (): java.lang.Class[_]

    Attributes
      final
    Definition Classes
      AnyRef

13. #### def hashCode (): Int

    Definition Classes
      AnyRef → Any

14. #### def isInstanceOf [T0] : Boolean

    Attributes
      final
    Definition Classes
      Any

15. #### def must (behaveWord: BehaveWord): BehaveWord

    Supports the registration of shared tests.

    Supports the registration of shared tests.

    This method supports syntax such as the following:

        it must behave like nonFullStack(stackWithOneItem)
           ^

    For examples of shared tests, see the Shared tests section in the main documentation for trait `Spec`.

16. #### def ne (arg0: AnyRef): Boolean

    Attributes
      final
    Definition Classes
      AnyRef

17. #### def notify (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

18. #### def notifyAll (): Unit

    Attributes
      final
    Definition Classes
      AnyRef

19. #### def should (behaveWord: BehaveWord): BehaveWord

    Supports the registration of shared tests.

    Supports the registration of shared tests.

    This method supports syntax such as the following:

        it should behave like nonFullStack(stackWithOneItem)
           ^

    For examples of shared tests, see the Shared tests section in the main documentation for trait `Spec`.

20. #### def synchronized [T0] (arg0: ⇒ T0): T0

    Attributes
      final
    Definition Classes
      AnyRef

21. #### def toString (): String

    Definition Classes
      AnyRef → Any

22. #### def wait (): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

23. #### def wait (arg0: Long, arg1: Int): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

24. #### def wait (arg0: Long): Unit

    Attributes
      final
    Definition Classes
      AnyRef
    Annotations
      @throws()

### Inherited from AnyRef

### Inherited from Any